Skip site navigation (1) Skip section navigation (2)

Re: wxWidgets version# update (v2.5 --> v2.6) -->

From: Andreas Pflug <pgadmin(at)pse-consulting(dot)de>
To: OpenMacNews <OpenMacNews(at)speakeasy(dot)net>
Cc: pgadmin-hackers <pgadmin-hackers(at)postgresql(dot)org>
Subject: Re: wxWidgets version# update (v2.5 --> v2.6) -->
Date: 2005-04-12 19:31:05
Message-ID: 425C21F9.5050806@pse-consulting.de (view raw or flat)
Thread:
Lists: pgadmin-hackers
OpenMacNews wrote:

> hi andreas,
>
> although wx-2.6 CVS builds w/o error on OSX 10.3.8, a subsequent 
> pgadmin3 make dies w/ HUNDREDS of 'undefined symbol' warnings 
> referencing "wx*" symbols.
>
> although i'd made some testing changes in acinlcude.m4 to reference 
> the 2.6 dir tree, and get me past the config checks:
>
>  % perl -pi -e 's/wx-2.5/wx-2.6/g' acinclude.m4
>  % perl -pi -e 's/2.5\*\)/2.6\*\)/g' acinclude.m4
>  % perl -pi -e 's/WX_VERSION="2.5"/WX_VERSION="2.6"/g' acinclude.m4
>
>
> i'd venture i've missed some lib/include refs elsewhere ...
>
> i'll see what i can blindly find, but i'd gather you'd know better 
> what changes/preparations need to be made for the "2.6" vs "2.5" 
> references.
>
Well actually I don't know the build stuff in-deep, but basically the 
libs should come from wx-config's output, so you maybe grab a wrong 
version of that.

Regards,
Andreas


In response to

pgadmin-hackers by date

Next:From: Dave PageDate: 2005-04-13 07:44:58
Subject: Re: Roadmap for pgAdmin3 on OSX
Previous:From: OpenMacNewsDate: 2005-04-12 16:56:06
Subject: Re: Roadmap for pgAdmin3 on OSX

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group